src.backend.lib.overide.ACatalogue Class Reference
Inheritance diagram for src.backend.lib.overide.ACatalogue:

## Public Member Functions

def | __init__ (self)
def | scan_folder (self, _path=None)
def | import_books (self, **kwargs)

## Detailed Description

    Aynchronous overide of library.Catalogue,
    : TODO : Complete or discard this overide

## Constructor & Destructor Documentation

## __init__()

def src.backend.lib.overide.ACatalogue.__init__ | ( |  | self | ) |

Reimplemented from src.backend.lib.library.Catalogue.

## Member Function Documentation

## import_books()

def src.backend.lib.overide.ACatalogue.import_books | ( |  | self,
|  | ** | kwargs
| ) |  |

    Async overide of import_books

Reimplemented from src.backend.lib.library.Catalogue.

## scan_folder()

def src.backend.lib.overide.ACatalogue.scan_folder | ( |  | self,
|  |  | _path = `None`
| ) |  |

    Scan folder by _path, allows recurisive scanning

Reimplemented from src.backend.lib.library.Catalogue.

The documentation for this class was generated from the following file:

- src/backend/lib/overide.py